Get the results of the product transaction detail report as an xlsx file

​

Body·

application/json
  • The product attribute description to filter by

  • The product batch to filter by

  • The product best before date to filter by

  • The client partner to filter by

  • The start date in the transaction date range

  • The end date in the transaction date range

  • The product expiry date to filter by

  • The start date/time of the transaction date range

  • The product packaging date to filter by

  • The product to filter by

  • The product attribute to filter by

  • The product production date to filter by

Responses

  • OK

Request Example for post/v1/reports/product-transaction-detail/xlsx
curl https://api.consignlyhq.com/v1/reports/product-transaction-detail/xlsx \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "fromDateTime": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
  "toDateTime": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
  "types": [
    "enum (Adjustment = 1, Transfer = 2, Receive = 3, Hold = 4, Pick = 5, Dispatch = 6)"
  ],
  "warehouseId": null,
  "clientPartnerId": null,
  "partnerProductId": null,
  "receivedDate": "date (YYYY-MM-DD)",
  "batch": null,
  "bestBeforeDate": "date (YYYY-MM-DD)",
  "expiryDate": "date (YYYY-MM-DD)",
  "packagingDate": "date (YYYY-MM-DD)",
  "productionDate": "date (YYYY-MM-DD)",
  "sellByDate": "date (YYYY-MM-DD)",
  "productAttributeId": null,
  "attributeDescription": null
}'
No Body